// priority: 0

ServerEvents.recipes(event => {
    event.shaped(`1x roomopolis:short_room_key`, ['F F', '   ', 'F F'], { F: "submerged:key_fragment" }).id(`roomopolis:short_room_key`)
    event.shaped(`1x roomopolis:normal_room_key`, ['F F', ' K ', 'F F'], { F: "submerged:key_fragment", K: "roomopolis:short_room_key" }).id(`roomopolis:normal_room_key`)
    event.shaped(`1x roomopolis:tall_room_key`, ['F F', ' K ', 'F F'], { F: "submerged:key_fragment", K: "roomopolis:normal_room_key" }).id(`roomopolis:tall_room_key`)
    event.shaped(`1x roomopolis:corridor_key_1`, ['FFF'], { F: "submerged:key_fragment" }).id(`roomopolis:corridor_key_1`)
    event.shaped(`1x roomopolis:corridor_key_2`, ['FKF'], { F: "submerged:key_fragment", K: "roomopolis:corridor_key_1" }).id(`roomopolis:corridor_key_2`)
    event.shaped(`1x roomopolis:corridor_key_3`, ['FKF'], { F: "submerged:key_fragment", K: "roomopolis:corridor_key_2" }).id(`roomopolis:corridor_key_3`)

    event.shaped(`2x roomopolis:key_block_remover`, ['F'], { F: "submerged:key_fragment" }).id(`roomopolis:key_block_remover`)
    event.shaped(`1x roomopolis:wall_remover_key_1`, ['FKF'], { K: "roomopolis:key_block_remover", F: "submerged:key_fragment" }).id(`roomopolis:wall_key_remover_1`)
    event.shaped(`1x roomopolis:wall_remover_key_2`, ['FKF'], { K: "roomopolis:wall_remover_key_1", F: "submerged:key_fragment" }).id(`roomopolis:wall_key_remover_2`)
    event.shaped(`1x roomopolis:wall_remover_key_3`, ['FKF'], { K: "roomopolis:wall_remover_key_2", F: "submerged:key_fragment" }).id(`roomopolis:wall_key_remover_3`)
    event.shaped(`1x roomopolis:room_topper_key`, [' F ', 'FKF'], { K: "roomopolis:short_room_key", F: "submerged:key_fragment" }).id(`roomopolis:room_topper_key`)
})